Skip to main content
POST
/
user
/
assistants
/
enable-inbound-webhook
Enable assistant inbound webhook
curl --request POST \
  --url https://app.botrep.ai/api/user/assistants/enable-inbound-webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assistant_id": 123,
  "webhook_url": "<string>"
}
'
import requests

url = "https://app.botrep.ai/api/user/assistants/enable-inbound-webhook"

payload = {
"assistant_id": 123,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123, webhook_url: '<string>'})
};

fetch('https://app.botrep.ai/api/user/assistants/enable-inbound-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Webhook enabled successfully",
  "data": []
}
{
  "message": "Assistant not found"
}
{
  "message": "The given data was invalid.",
  "errors": {
    "assistant_id": [
      "The assistant id field is required."
    ],
    "webhook_url": [
      "The webhook url field is required."
    ]
  }
}
This endpoint enables inbound webhook notifications for an assistant, allowing you to receive real-time updates about inbound call completions and data.

Request Body

assistant_id
integer
required
The ID of the assistant to enable webhook for
webhook_url
string
required
The URL where webhook notifications will be sent

Response

message
string
Success message confirming webhook was enabled
data
array
Empty array (reserved for future use)

Error Responses

404 Not Found
422 Validation Error
{
  "message": "Webhook enabled successfully",
  "data": []
}
{
  "message": "Assistant not found"
}
{
  "message": "The given data was invalid.",
  "errors": {
    "assistant_id": [
      "The assistant id field is required."
    ],
    "webhook_url": [
      "The webhook url field is required."
    ]
  }
}